Ask Your Question
0

'module' object has no attribute 'FormatChecker'

asked 2013-07-19 08:16:13 -0500

jfzhang1984 gravatar image

after I install the savanna using the setup.py. I start the savanna by

savanna-api --config-file /etc/savanna/savanna.conf

it seems some wrong.

kylin@node1:~$ savanna-api --config-file /etc/savanna/savanna.conf Traceback (most recent call last): File "/usr/local/bin/savanna-api", line 5, in <module> pkg_resources.run_script('savanna==0.2', 'savanna-api') File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 499, in run_script self.require(requires)[0].run_script(script_name, ns) File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1235, in run_script execfile(script_filename, namespace, namespace) File "/usr/local/lib/python2.7/dist-packages/savanna-0.2-py2.7.egg/EGG-INFO/scripts/savanna-api", line 35, in <module> import savanna.main as server File "/usr/local/lib/python2.7/dist-packages/savanna-0.2-py2.7.egg/savanna/main.py", line 22, in <module> from savanna.api import v10 as api_v10 File "/usr/local/lib/python2.7/dist-packages/savanna-0.2-py2.7.egg/savanna/api/v10.py", line 18, in <module> from savanna.service import validation as v File "/usr/local/lib/python2.7/dist-packages/savanna-0.2-py2.7.egg/savanna/service/validation.py", line 23, in <module> from savanna.utils import api_validator File "/usr/local/lib/python2.7/dist-packages/savanna-0.2-py2.7.egg/savanna/utils/api_validator.py", line 24, in <module> @jsonschema.FormatChecker.cls_checks('valid_name') AttributeError: 'module' object has no attribute 'FormatChecker'

how should i do ? thanks

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
0

answered 2013-07-19 09:28:02 -0500

ruhe gravatar image

Please follow recommended installation instructions:

https://savanna.readthedocs.org/en/latest/userdoc/installation.guide.html (https://savanna.readthedocs.org/en/la...)

edit flag offensive delete link more
0

answered 2013-07-19 09:34:35 -0500

SergeyLukjanov gravatar image

It looks like that incorrect version of jsonschema has been installed.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-07-19 08:16:13 -0500

Seen: 19 times

Last updated: Jul 19 '13